## soapyairspy 0.1.0

=== CMakeLists.txt ===
###################################################
# Build Soapy SDR support module for Airspy Devices
###################################################

cmake_minimum_required(VERSION 2.8.7)

project(SoapyAirspy CXX)

find_package(SoapySDR "0.4.0" NO_MODULE REQUIRED)
if (NOT SoapySDR_FOUND)
    message(FATAL_ERROR "Soapy SDR development files not found...")
endif ()

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR})

find_package(LibAIRSPY)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${LIBAIRSPY_INCLUDE_DIRS})

#enable c++11 features
if(CMAKE_COMPILER_IS_GNUCXX)
    #C++11 is a required language feature for this project
    include(CheckCXXCompilerFlag)
    CHECK_CXX_COMPILER_FLAG("-std=c++11" HAS_STD_CXX11)
    if(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
    else(HAS_STD_CXX11)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    endif()
    #Thread support enabled (not the same as -lpthread)
    list(APPEND AIRSPY_LIBS -pthread)
    #disable warnings for unused parameters
    add_definitions(-Wno-unused-parameter)
endif(CMAKE_COMPILER_IS_GNUCXX)

if (APPLE)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wc++11-extensions")
endif(APPLE)

# IF (APPLE)
#  ADD_DEFINITIONS(
#    -D__MACOSX_CORE__
#  )
# FIND_LIBRARY(COREFOUNDATION_LIBRARY CoreFoundation)
#SET (AIRSPY_LIBS ${COREFOUNDATION_LIBRARY} ${AIRSPY_LIBS} )
# ENDIF (APPLE)

list(APPEND AIRSPY_LIBS ${LIBAIRSPY_LIBRARIES})

SOAPY_SDR_MODULE_UTIL(
    TARGET airspySupport
    SOURCES
        SoapyAirspy.hpp
        Registation.cpp
        Settings.cpp
        Streaming.cpp
    LIBRARIES
        ${AIRSPY_LIBS}
)

=== debian/changelog ===
soapyairspy (0.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #847797)

 -- Andreas Bombe <aeb@debian.org>  Mon, 12 Dec 2016 00:27:38 +0100

=== debian/control ===
Source: soapyairspy
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper (>= 10),
    cmake,
    libsoapysdr-dev,
    libairspy-dev
Standards-Version: 3.9.8
Homepage: https://github.com/pothosware/SoapyAirspy/wiki
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyairspy.git
Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyairspy.git

Package: soapysdr0.5-2-module-airspy
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.5-2-module
Description: Airspy device support for SoapySDR
 The Soapy Airspy project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of Airspy receivers.

Package: soapysdr-module-airspy
Architecture: any
Multi-Arch: same
Depends: soapysdr0.5-2-module-airspy, ${misc:Depends}
Description: Airspy device support for SoapySDR (default version)
 The Soapy Airspy project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of Airspy receivers.
 .
 This is an empty dependency package that pulls in the Airspy module
 for the default version of libsoapysdr.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_installdocs:
	dh_installdocs --link-doc=soapysdr0.5-2-module-airspy

## soapyairspy 0.1.1

=== debian/changelog ===
soapyairspy (0.1.1-1) unstable; urgency=medium

  * New upstream version 0.1.1
  * Change SoapySDR ABI version in package names and dependencies from 0.5-2
    to 0.6
  * Build-Depend on versioned libsoapysdr0.6-dev instead of libsoapysdr-dev
  * Bump Standards-Version to 4.0.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 06 Aug 2017 18:55:19 -0400

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Build-Depends:
     debhelper (>= 10),
     cmake,
-    libsoapysdr-dev,
+    libsoapysdr0.6-dev,
     libairspy-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://github.com/pothosware/SoapyAirspy/wiki
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-hamradio/soapyairspy.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-hamradio/soapyairspy.git
 
-Package: soapysdr0.5-2-module-airspy
+Package: soapysdr0.6-module-airspy
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Provides: soapysdr0.5-2-module
+Provides: soapysdr0.6-module
 Description: Airspy device support for SoapySDR
  The Soapy Airspy project provides a SoapySDR hardware support module.
  Using this, any program using SoapySDR to interface to software
@@ -26,7 +26,7 @@
 Package: soapysdr-module-airspy
 Architecture: any
 Multi-Arch: same
-Depends: soapysdr0.5-2-module-airspy, ${misc:Depends}
+Depends: soapysdr0.6-module-airspy, ${misc:Depends}
 Description: Airspy device support for SoapySDR (default version)
  The Soapy Airspy project provides a SoapySDR hardware support module.
  Using this, any program using SoapySDR to interface to software

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,4 @@
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_installdocs:
-	dh_installdocs --link-doc=soapysdr0.5-2-module-airspy
+	dh_installdocs --link-doc=soapysdr0.6-module-airspy

## soapyairspy 0.1.2

=== debian/changelog ===
soapyairspy (0.1.2-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.
  * Changed DB from debhelper (>= 12~) to debhelper-compat (=12)
  * Removed debian/compat file

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Mon, 27 Apr 2020 18:10:05 -0400

soapyairspy (0.1.2-2) unstable; urgency=medium

  * Upload to unstable
  * Bump Standards-Version to 4.4.1, no changes required

 -- Andreas Bombe <aeb@debian.org>  Sun, 20 Oct 2019 16:38:52 +0200

soapyairspy (0.1.2-1) experimental; urgency=medium

  * New upstream version 0.1.2
  * Change SoapySDR ABI version in package names and dependencies from 0.6
    to 0.7
  * Switch Vcs-* headers over to repositories on salsa.debian.org
  * Increase debhelper compat level to 12
  * Bump Standards-Version to 4.4.0, no changes required

 -- Andreas Bombe <aeb@debian.org>  Mon, 23 Sep 2019 22:58:46 +0200

=== debian/control ===
Source: soapyairspy
Section: hamradio
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>
Build-Depends:
    debhelper-compat (=12),
    cmake,
    libsoapysdr0.7-dev,
    libairspy-dev
Standards-Version: 4.4.1
Homepage: https://github.com/pothosware/SoapyAirspy/wiki
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyairspy
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyairspy.git

Package: soapysdr0.7-module-airspy
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.7-module
Description: Airspy device support for SoapySDR
 The Soapy Airspy project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of Airspy receivers.

Package: soapysdr-module-airspy
Architecture: any
Multi-Arch: same
Depends: soapysdr0.7-module-airspy, ${misc:Depends}
Description: Airspy device support for SoapySDR (default version)
 The Soapy Airspy project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of Airspy receivers.
 .
 This is an empty dependency package that pulls in the Airspy module
 for the default version of libsoapysdr.

=== debian/rules ===
--- 
+++ 
@@ -15,4 +15,7 @@
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_installdocs:
-	dh_installdocs --link-doc=soapysdr0.6-module-airspy
+	dh_installdocs --link-doc=soapysdr0.7-module-airspy
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## soapyairspy 0.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -51,7 +51,7 @@
     TARGET airspySupport
     SOURCES
         SoapyAirspy.hpp
-        Registation.cpp
+        Registration.cpp
         Settings.cpp
         Streaming.cpp
     LIBRARIES

=== debian/changelog ===
soapyairspy (0.2.0-5) unstable; urgency=medium

  * Update to soapy-airspy-0.2.0-5-g99f0ac5 (Closes: #1113515)
  * Bump Standards-Version to 4.7.2, no changes required

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 21 Oct 2025 22:34:17 -0400

soapyairspy (0.2.0-4) unstable; urgency=medium

  * Adapt d/watch to GitHub changes
  * Bump Standards-Version to 4.6.2, no changes required

 -- Andreas Bombe <aeb@debian.org>  Thu, 07 Sep 2023 23:07:03 +0530

soapyairspy (0.2.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Bombe <aeb@debian.org>  Tue, 07 Sep 2021 00:35:58 +0200

soapyairspy (0.2.0-2) experimental; urgency=medium

  * Change SoapySDR ABI version in package names and dependencies from 0.7
    to 0.8

 -- Andreas Bombe <aeb@debian.org>  Sat, 28 Aug 2021 20:04:57 +0200

soapyairspy (0.2.0-1) unstable; urgency=low

  [ Andreas Bombe ]
  * New upstream version 0.2.0
  * Increase debhelper compat level to 13
  * Add Rules-Requires-Root field to d/control
  * Bump Standards-Version to 4.6.0, no changes required

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Bombe <aeb@debian.org>  Tue, 24 Aug 2021 22:20:32 +0200

=== debian/control ===
Source: soapyairspy
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>,
           A. Maitland Bottoms <bottoms@debian.org>
Build-Depends:
    debhelper-compat (= 13),
    cmake,
    libsoapysdr0.8-dev,
    libairspy-dev
Standards-Version: 4.7.2
Homepage: https://github.com/pothosware/SoapyAirspy/wiki
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyairspy
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/soapysdr/soapyairspy.git
Rules-Requires-Root: no

Package: soapysdr0.8-module-airspy
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: soapysdr0.8-module
Description: Airspy device support for SoapySDR
 The Soapy Airspy project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of Airspy receivers.

Package: soapysdr-module-airspy
Architecture: any
Multi-Arch: same
Depends: soapysdr0.8-module-airspy, ${misc:Depends}
Description: Airspy device support for SoapySDR (default version)
 The Soapy Airspy project provides a SoapySDR hardware support module.
 Using this, any program using SoapySDR to interface to software
 defined radio hardware can make use of Airspy receivers.
 .
 This is an empty dependency package that pulls in the Airspy module
 for the default version of libsoapysdr.

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,4 @@
 	dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"
 
 override_dh_installdocs:
-	dh_installdocs --link-doc=soapysdr0.7-module-airspy
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
+	dh_installdocs --link-doc=soapysdr0.8-module-airspy

=== debian/watch ===
version=4
https://github.com/pothosware/SoapyAirspy/tags .*/soapy-airspy-([\d\.]+)\.tar\.(?:xz|gz|bz2)
